# **Bachelor Project**

Welcome to my Bachelor Project repository. This project contains all the code and instructions.  

The goal of this project is to develop a **systematic approach** to identify, analyze, and resolve discrepancies between datasets. Using advanced matching techniques and rigorous evaluation criteria, we aim to:  

— Establish a **reliable methodology** for comparing data between **ATLAS and OSM**  
— Identify **problematic cases** that require special attention  
— Provide **tools to facilitate** the resolution of inconsistencies  
— Contribute to the **continuous improvement** of public transport data quality in **Switzerland**

---

## **Getting Started**


### **Installing Dependencies**

Before running the notebook, install the required dependencies:

```bash
pip install -r requirements.txt
```

### **Data Setup**

Run get_osm_data.py and get_atlas_data.py to get the OSM and ATLAS data.


## **Database Setup**

Follow these steps to prepare your MySQL database:

### **A. Create the Databas and tables**
Check database_setup.sql

---
### **Code Execution**
Once you have the data and the database, run import_data_db.py. This will run the matching process and import the data already matched to the database. Once you have the data on the database if you want to run the webapp just run app.py.

## **Project Report**

A preliminary draft of the project report is available [here](https://githepia.hesge.ch/guillem.massague/bachelor-project/-/blob/main/Projet_de_Semestre.pdf).

---

## **Project Status**

This project is still a **work in progress**.

---

## **Contributing**

This project is **open source**, and contributions are welcome!  

---

### **Thank you for your interest!** 🚀
